diff --git build_files/cmake/platform/platform_apple.cmake build_files/cmake/platform/platform_apple.cmake
index fe9dd6a58de..b9be828ab2a 100644
--- build_files/cmake/platform/platform_apple.cmake
+++ build_files/cmake/platform/platform_apple.cmake
@@ -265,6 +265,11 @@ if(WITH_BOOST)
   endif()
   find_package(Boost COMPONENTS ${_boost_FIND_COMPONENTS})
 
+  foreach(COMPONENT ${_boost_FIND_COMPONENTS})
+    STRING(TOUPPER ${COMPONENT} UPPERCOMPONENT)
+    list(APPEND Boost_LIBRARIES "${Boost_${UPPERCOMPONENT}_LIBRARY_RELEASE}")
+  endforeach()
+
   set(BOOST_LIBRARIES ${Boost_LIBRARIES})
   set(BOOST_INCLUDE_DIR ${Boost_INCLUDE_DIRS})
   set(BOOST_DEFINITIONS)
@@ -287,7 +292,8 @@ if(WITH_PUGIXML)
 endif()
 
 if(WITH_OPENIMAGEIO)
-  find_package(OpenImageIO)
+  find_package(OpenImageIO REQUIRED CONFIG)
+  set(OPENIMAGEIO_LIBRARIES "OpenImageIO::OpenImageIO")
   list(APPEND OPENIMAGEIO_LIBRARIES
     ${PNG_LIBRARIES}
     ${JPEG_LIBRARIES}
